Bug 389891 - S3 resuming failed on AMD SB600/SB700+RS690/RS780 platform
S3 resuming failed on AMD SB600/SB700+RS690/RS780 platform
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity urgent
: ---
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 21:18 EST by henry su
Modified: 2010-07-08 01:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 01:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci (1.67 KB, text/plain)
2007-11-18 21:18 EST, henry su
no flags Details
adding the "/usr/sbin/vbetool post" to resume_video function (1.36 KB, text/plain)
2007-11-18 21:37 EST, henry su
no flags Details

  None (edit)
Description henry su 2007-11-18 21:18:20 EST
Description of problem:
S3 resuming failed on AMD SB600/SB700+RS690/RS780 platform by issuing 
command "echo mem > /sys/power/state" or "pm-suspend" or pressing system-
>suspend button, the screen is black,and the system has no response. 

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1."echo mem > /sys/power/state" or "pm-suspend" or pressing system->suspend 
button to enter S3
2.Press powerbtn to resume the system (mobile board)
  
Actual results:
S3 failed from resuming, the screen is black.

Expected results:
S3 resumes sucessfully.

Additional info:
test on RS690+SB700 mobile board, RS780+SB700 RS690+SB600 platforms.
Comment 1 henry su 2007-11-18 21:18:20 EST
Created attachment 263181 [details]
lspci
Comment 2 henry su 2007-11-18 21:34:15 EST
the system can resume successfully from S3 by adding "/usr/sbin/vbetool post" 
to the resume_video() function in /etc/pm/functions-ati.

This issue exists in RHEL5.1,the system->syspend button does not work,but S3 
would resume successfully with command "pm-suspend --quirk-vbe-post".

So, for amd/ati graphics, we have to use the external "vbetool post" to 
reinitialize the graphics card in redhat later release, such as RHEL5.2.
Comment 3 henry su 2007-11-18 21:37:40 EST
Created attachment 263191 [details]
adding the "/usr/sbin/vbetool post" to resume_video function

Fix the S3 issue with the changed attached file.
Comment 4 Bhavna Sarathy 2007-11-29 16:02:13 EST
Prarit, Jeff,

Could the RHEL suspend script be updated so that it RHEL5 works on the Trevally
boards?

Bhavana
Comment 6 henry su 2010-07-08 01:44:25 EDT
closed. it is fixed in RHEL5.3 and later.

Note You need to log in before you can comment on or make changes to this bug.